Whether or not to collapse contiguous fragments into a single fragment

- « SolrQuery::setHighlightMaxAnalyzedChars

- SolrQuery::setHighlightRegexMaxAnalyzedChars »

- PHP Manual
- SolrQuery
- Whether or not to collapse contiguous fragments into a single fragment

# SolrQuery::setHighlightMergeContiguous

(PECL solr >= 0.9.2)

SolrQuery::setHighlightMergeContiguous — Whether or not to collapse contiguous fragments into a single fragment

### Description

public SolrQuery::setHighlightMergeContiguous(bool `$flag`, string `$field_override` = ?): SolrQuery

Whether or not to collapse contiguous fragments into a single fragment

### Parameters

`value`

  Whether or not to collapse contiguous fragments into a single fragment

`field_override`

  The name of the field.

### Return Values

Returns the current SolrQuery object, if the return value is used.